aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bitbake97
-rwxr-xr-xscripts/oe-buildenv-internal73
-rwxr-xr-xscripts/oe-setup-builddir92
3 files changed, 0 insertions, 262 deletions
diff --git a/scripts/bitbake b/scripts/bitbake
deleted file mode 100755
index 86d476a..0000000
--- a/scripts/bitbake
+++ /dev/null
@@ -1,97 +0,0 @@
-#!/bin/sh
-
-export BBFETCH2=True
-export BB_ENV_EXTRAWHITE="PSEUDO_BUILD PSEUDO_DISABLED $BB_ENV_EXTRAWHITE"
-
-NO_BUILD_OPTS="--version -h --help -p --parse-only -s --show-versions -e --environment -g --graphviz"
-needpseudo="1"
-for opt in $@; do
-for key in $NO_BUILD_OPTS; do
- if [ $opt = $key ]
- then
- needpseudo="0"
- break
- fi
-done
-[ $needpseudo = "0" ] && break
-done
-
-# Make sure we're not using python v3.x. This check can't go into
-# sanity.bbclass because bitbake's source code doesn't even pass
-# parsing stage when used with python v3, so we catch it here so we
-# can offer a meaningful error message.
-py_v3_check=`/usr/bin/env python --version 2>&1 | grep "Python 3"`
-if [ "$py_v3_check" != "" ]; then
- echo "Bitbake is not compatible with python v3"
- echo "Please set up python v2 as your default python interpreter"
- exit 1
-fi
-
-# Similarly, we now have code that doesn't parse correctly with older
-# versions of Python, and rather than fixing that and be eternally
-# vigilant for any other new feature use, just check the version here.
-py_v26_check=`python -c 'import sys; print sys.version_info >= (2,6,0)'`
-if [ "$py_v26_check" != "True" ]; then
- echo "BitBake requires Python 2.6 or later"
- exit 1
-fi
-
-needtar="1"
-TARVERSION=`tar --version | head -n 1 | cut -d ' ' -f 4`
-float_test() {
- echo | awk 'END { exit ( !( '"$1"')); }'
-}
-
-# Tar version 1.24 and onwards handle symlinks in sstate packages correctly
-# but earlier versions do not
-float_test "$TARVERSION > 1.23" && needtar="0"
-
-buildpseudo="1"
-if [ $needpseudo = "1" ] && [ -e "$BUILDDIR/pseudodone" ]; then
- PSEUDOBINDIR=`cat $BUILDDIR/pseudodone`
- if [ -e "$PSEUDOBINDIR/pseudo" -a -e "$PSEUDOBINDIR/tar" -a "$needtar" = "1" ]; then
- buildpseudo="0"
- fi
- if [ -e "$PSEUDOBINDIR/pseudo" -a $needtar = "0" ]; then
- buildpseudo="0"
- fi
-fi
-if [ $needpseudo = "0" ]; then
- buildpseudo="0"
-fi
-
-OLDPATH=$PATH
-export PATH=`echo $PATH | sed s#.*/poky/scripts:##`
-if [ $buildpseudo = "1" ]; then
- echo "Pseudo is not present but is required, building this first before the main build"
- export PSEUDO_BUILD=1
- TARTARGET="tar-replacement-native"
- if [ $needtar = "0" ]; then
- TARTARGET=""
- fi
- bitbake pseudo-native $TARTARGET -c populate_sysroot
- ret=$?
- if [ "$ret" != "0" ]; then
- exit 1
- fi
- PSEUDOBINDIR=`bitbake -e | grep STAGING_BINDIR_NATIVE=\" | cut -d '=' -f2 | cut -d '"' -f2`
- ret=$?
- if [ "$ret" != "0" ]; then
- exit 1
- fi
- echo $PSEUDOBINDIR > $BUILDDIR/pseudodone
- # This needs to exist in case pseudo has to log somewhere
- mkdir -p $PSEUDOBINDIR/../../var/pseudo
-fi
-BITBAKE=`which bitbake`
-export PATH=$OLDPATH
-if [ $needpseudo = "1" ]; then
- export PSEUDO_BUILD=2
- PSEUDOBINDIR=`cat $BUILDDIR/pseudodone`
- PSEUDO_BINDIR=$PSEUDOBINDIR PSEUDO_LIBDIR=$PSEUDOBINDIR/../lib/pseudo/lib PSEUDO_PREFIX=$PSEUDOBINDIR/../../ PSEUDO_DISABLED=1 $PSEUDOBINDIR/pseudo $BITBAKE $@
-else
- export PSEUDO_BUILD=0
- $BITBAKE $@
-fi
-ret=$?
-exit $ret
diff --git a/scripts/oe-buildenv-internal b/scripts/oe-buildenv-internal
deleted file mode 100755
index af8fbf5..0000000
--- a/scripts/oe-buildenv-internal
+++ /dev/null
@@ -1,73 +0,0 @@
-#!/bin/sh
-
-# OE-Core Build Enviroment Setup Script
-#
-# Copyright (C) 2006-2011 Linux Foundation
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-
-# It is assumed OEROOT is already defined when this is called
-if [ -z "$OEROOT" ]; then
- echo >&2 "Error: OEROOT is not defined!"
- return 1
-fi
-
-if [ "x$BDIR" = "x" ]; then
- if [ "x$1" = "x" ]; then
- BDIR="build"
- else
- BDIR="$1"
- if [ "$BDIR" = "/" ]; then
- echo >&2 "Error: / is not supported as a build directory."
- return 1
- fi
-
- # Remove any possible trailing slashes. This is used to work around
- # buggy readlink in Ubuntu 10.04 that doesn't ignore trailing slashes
- # and hence "readlink -f new_dir_to_be_created/" returns empty.
- BDIR=`echo $BDIR | sed -re 's|/+$||'`
-
- BDIR=`readlink -f "$BDIR"`
- if [ -z "$BDIR" ]; then
- PARENTDIR=`dirname "$1"`
- echo >&2 "Error: the directory $PARENTDIR does not exist?"
- return 1
- fi
- fi
-fi
-if expr "$BDIR" : '/.*' > /dev/null ; then
- BUILDDIR="$BDIR"
-else
- BUILDDIR="`pwd`/$BDIR"
-fi
-unset BDIR
-
-BITBAKEDIR="$OEROOT/poky/bitbake$BBEXTRA/"
-
-BITBAKEDIR=`readlink -f "$BITBAKEDIR"`
-BUILDDIR=`readlink -f "$BUILDDIR"`
-
-if ! (test -d "$BITBAKEDIR"); then
- echo >&2 "Error: The bitbake directory ($BITBAKEDIR) does not exist! Please ensure a copy of bitbake exists at this location"
- return 1
-fi
-
-PATH="${OEROOT}/scripts:${OEROOT}/poky/scripts:$BITBAKEDIR/bin/:$PATH"
-unset BITBAKEDIR
-
-# Used by the runqemu script
-export BUILDDIR
-export PATH
-export BB_ENV_EXTRAWHITE="MACHINE DISTRO TCMODE TCLIBC http_proxy ftp_proxy https_proxy all_proxy ALL_PROXY no_proxy SSH_AGENT_PID SSH_AUTH_SOCK BB_SRCREV_POLICY SDKMACHINE BB_NUMBER_THREADS PARALLEL_MAKE GIT_PROXY_COMMAND GIT_PROXY_IGNORE SOCKS5_PASSWD SOCKS5_USER"
diff --git a/scripts/oe-setup-builddir b/scripts/oe-setup-builddir
deleted file mode 100755
index b472f8c..0000000
--- a/scripts/oe-setup-builddir
+++ /dev/null
@@ -1,92 +0,0 @@
-#!/bin/sh
-
-# OE Build Enviroment Setup Script
-#
-# Copyright (C) 2006-2011 Linux Foundation
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-
-if [ -z "$BUILDDIR" ]; then
- echo >&2 "Error: The build directory (BUILDDIR) must be set!"
- exit 1
-fi
-
-mkdir -p $BUILDDIR/conf
-
-if ! (test -d "$BUILDDIR"); then
- echo >&2 "Error: The builddir ($BUILDDIR) does not exist!"
- exit 1
-fi
-
-if ! (test -w "$BUILDDIR"); then
- echo >&2 "Error: Cannot write to $BUILDDIR, perhaps try sourcing with a writable path? i.e. . oe-init-build-env ~/my-build"
- exit 1
-fi
-
-cd "$BUILDDIR"
-
-TEMPLATECONF=${TEMPLATECONF:conf}
-
-#
-# $TEMPLATECONF can point to a directory for the template local.conf & bblayers.conf
-#
-if [ "x" != "x$TEMPLATECONF" ]; then
- if ! (test -d "$TEMPLATECONF"); then
- # Allow TEMPLATECONF=meta-xyz/conf as a shortcut
- if [ -d "$OEROOT/$TEMPLATECONF" ]; then
- TEMPLATECONF="$OEROOT/$TEMPLATECONF"
- fi
- if ! (test -d "$TEMPLATECONF"); then
- echo >&2 "Error: '$TEMPLATECONF' must be a directory containing local.conf & bblayers.conf"
- return
- fi
- fi
- OECORELAYERCONF="$TEMPLATECONF/bblayers.conf.sample"
- OECORELOCALCONF="$TEMPLATECONF/local.conf.sample"
-fi
-
-if [ "x" = "x$OECORELOCALCONF" ]; then
- OECORELOCALCONF="$OEROOT/conf/local.conf.sample"
-fi
-if ! (test -r "$BUILDDIR/conf/local.conf"); then
-cat <<EOM
-Default conf/local.conf file created.
-EOM
- cp -f $OECORELOCALCONF $BUILDDIR/conf/local.conf
-fi
-
-if [ "x" = "x$OECORELAYERCONF" ]; then
- OECORELAYERCONF="$OEROOT/conf/bblayers.conf.sample"
-fi
-if ! (test -r "$BUILDDIR/conf/bblayers.conf"); then
-cat <<EOM
-Default conf/bblayers.conf file created.
-EOM
-
- # Put the abosolute path to the layers in bblayers.conf so we can run
- # bitbake without the init script after the first run
- sed "s|##COREBASE##|$OEROOT|g" $OECORELAYERCONF > $BUILDDIR/conf/bblayers.conf
-fi
-
-# Prevent disturbing a new GIT clone in same console
-unset OECORELOCALCONF
-unset OECORELAYERCONF
-
-cat <<EOM
-
-1. You can now run 'bitbake discovery-image'
-2. You can also run generated qemu images with a command like 'runqemu discovery-image vexpressa9'
-
-EOM